Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ServerStatus

    java.lang.Object
      org.wso2.wsas.admin.service.util.ServerStatus

    public class ServerStatus

extends java.lang.Object

Constructor Summary
`ServerStatus()`

Method Summary
`double` | `getAvgResponseTime()`
`int` | `getFaultCount()`
`java.lang.String` | `getJavaVersion()`
`long` | `getMaxResponseTime()`
`long` | `getMinResponseTime()`
`int` | `getRequestCount()`
`int` | `getResponseCount()`
`java.lang.String` | `getServerName()`
`java.lang.String` | `getServerStartTime()`
`int` | `getServices()`
`java.lang.String` | `getSystemUpTime()`
`Metric` | `getTotalMemory()`
`Metric` | `getUsedMemory()`
`java.lang.String` | `getWso2wsasVersion()`
`void` | `setJavaVersion(java.lang.String javaVersion)`
`void` | `setWso2wsasVersion(java.lang.String wso2wsasVersion)`
`void` | `update(org.apache.axis2.engine.AxisConfiguration axisConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerStatus

    public ServerStatus()
                 throws org.apache.axis2.AxisFault

Throws:
  `org.apache.axis2.AxisFault`

Method Detail

### update

    public void update(org.apache.axis2.engine.AxisConfiguration axisConfig)
                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getSystemUpTime

    public java.lang.String getSystemUpTime()

### getServerStartTime

    public java.lang.String getServerStartTime()

### getServerName

    public java.lang.String getServerName()

### getRequestCount

    public int getRequestCount()

### getServices

    public int getServices()

### getUsedMemory

    public Metric getUsedMemory()

### getTotalMemory

    public Metric getTotalMemory()

### getFaultCount

    public int getFaultCount()

### getResponseCount

    public int getResponseCount()

### getAvgResponseTime

    public double getAvgResponseTime()

### getMinResponseTime

    public long getMinResponseTime()

### getMaxResponseTime

    public long getMaxResponseTime()

### getWso2wsasVersion

    public java.lang.String getWso2wsasVersion()

### setWso2wsasVersion

    public void setWso2wsasVersion(java.lang.String wso2wsasVersion)

### getJavaVersion

    public java.lang.String getJavaVersion()

### setJavaVersion

    public void setJavaVersion(java.lang.String javaVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD